package com.fg.scripting.groovy;

import groovy.util.GroovyScriptEngine;
import junit.framework.TestCase;
import org.springframework.core.io.ClassPathResource;

import java.lang.reflect.Method;
import java.net.URL;

/**
 * Description
 *
 * @author Jan Novotný, FG Forrest a.s. (c) 2007
 * @version $Id: GroovyScriptingEngineTest.java,v 1.4 2010/01/07 15:26:20 u_novoj Exp $
 */
public class GroovyScriptingEngineTest extends TestCase {
	private GroovyScriptEngine engine;

	@Override
	protected void setUp() throws Exception {
		super.setUp();
		engine = new GroovyScriptEngine(
				new URL[]{
						new ClassPathResource("/").getURL()
				}
		);
	}

	public void testLoadGroovyClass() throws Exception {
		//Groovy 1.7.0
		//Class MainGroovyClass = engine.loadScriptByName("com/fg/mock/MainGroovyClass.groovy");
		Class MainGroovyClass = engine.loadScriptByName("com.fg.mock.MainGroovyClass");
		Object myGroovy = MainGroovyClass.newInstance();
		Method helloWorldMethod = MainGroovyClass.getMethod("helloWorld");
		assertEquals("Hello Universe.", helloWorldMethod.invoke(myGroovy));
	}

}
